<?php
/**
 * 2007-2021 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *   @author    Buy-addons <contact@buy-addons.com>
 *   @copyright 2007-2021 PrestaShop SA
 *   @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *   International Registered Trademark & Property of PrestaShop SA
 */

if (!defined('_PS_VERSION_')) {
    exit;
}
class Customshippingcost extends Module
{
    public $id_carrier;
    public function __construct()
    {
        $this->name = 'customshippingcost';
        $this->tab = 'shipping_logistics';
        $this->version = '1.0.2';
        $this->author = 'buy-addons.com';

        parent::__construct();

        $this->displayName = $this->l('Custom Shipping After Order');
        $this->description = $this->l('Allows a manual set Shipping Cost for any Order in Backend');
    }
    public function install()
    {
        if (!parent::install() || !$this->registerHook('displayBackOfficeHeader')) {
            return false;
        }
        return true;
    }
    public function uninstall()
    {
        // Uninstall
        if (!parent::uninstall() || !$this->unregisterHook('displayBackOfficeHeader')) {
            return false;
        }
        return false;
    }
    public function hookDisplayBackOfficeHeader()
    {
        $out = '<script type="text/javascript" src="'.$this->_path.'views/js/script.js'.'"></script>';
        $out .= '<script>var customshipping_ajax_url = "'.$this->_path.'ajax.php'.'";</script>';
        $out .= '<script>var customshipping_token = "'.sha1(_COOKIE_KEY_.'customshipping').'";</script>';
        $out .= '<script>var customshipping_id_order = "'.(int) Tools::getValue('id_order').'";</script>';
        return $out;
    }
}
